XBPS-RECONFIGURE(1)

NAME
xbps-reconfigure - XBPS utility to configure installed packages

SYNOPSIS
xbps-reconfigure [OPTIONS] [PKGNAME...]

DESCRIPTION
The xbps-reconfigure utility configures or reconfigures packages in target root directory. Configuration involves two steps:

* Executes the post ACTION on its INSTALL script (which can be shown by running `xbps-query --property=install-script pkg' ).

* Changes package state to XBPS_PKG_STATE_INSTALLED if previous step ran successfully.

Only packages that weren't configured previously will be processed, unless the -f option is specified.

OPTIONS

-a, --all
    Configures all packages.

-C, --config dir
    Specifies a path to the XBPS configuration directory. If the first character is not '/' then it's a relative path of rootdir.

-d, --debug
    Enables extra debugging shown to stderr.

-f, --force
    Forcefully reconfigure package even if it was configured previously.

-h, --help
    Show the help message.

-i, --ignore PKG
    Ignore PKG when configuring all packages with -a, --all. The PKG argument can be a package name or a package name with version. This option can be specified multiple times.

-r, --rootdir dir
    Specifies a path for the target root directory.

-v, --verbose
    Enables verbose messages.

-V, --version
    Show the version information.

FILES

/etc/xbps.d
    Default configuration directory.

/usr/share/xbps.d
    Default system configuration directory.

/var/db/xbps/.<pkgname>.plist
    Package files metadata.

/var/db/xbps/pkgdb-0.38.plist
    Default package database (0.38 format). Keeps track of installed packages and properties.

/var/cache/xbps
    Default cache directory to store downloaded binary packages.

SEE ALSO
xbps-checkvers(1), xbps-create(1), xbps-dgraph(1), xbps-digest(1), xbps-fbulk(1), xbps-fetch(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-remove(1), xbps-rindex(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
Juan Romero Pardines <xtraeme@gmail.com>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/void-linux/xbps/issues